<template>
  <div class="list-article article_other mb56">
    <h2 class="title_cate">
      <span>Bài viết liên quan</span>
    </h2>
    <div class="gird gird_2">
      <article v-for="article in articles" :key="article.id" class="art_item">
        <div class="ava">
          <nuxt-link :to="article.nuxt_url" class="thumb_img thumb_5x2">
            <img
              :src="resizeImage(baseImageUrl + article.thumbnail, 484, 220)" alt="article image"
            />
          </nuxt-link>
        </div>
        <div class="content">
          <div class="flex tag">
            <nuxt-link :to="article.category.nuxt_url" class="folder">
              {{ article.category.name }}
            </nuxt-link>
            <span>
              By
              <a href="javascript:;" class="color-main">
                {{ article.created_by.name }}
              </a>
              | {{ article.created_at }}
            </span>
          </div>
          <h3 class="title_news">
            <nuxt-link :to="article.nuxt_url">
              {{ article.title }}
            </nuxt-link>
          </h3>
          <div class="description">
            {{ article.description | truncate(120) }}
          </div>
        </div>
      </article>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ArticleRelated',
  props: {
    articles: {
      type: Array,
      default: null,
    },
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>

<style></style>
